//go:build windows
// +build windows

package stario

import (
	"errors"
)

func signal(sigtype rune) error {
	//todo: use win32api call signal
	switch sigtype {
	case 0x03:
		return errors.New("SIGNAL SIGINT RECIVED")
	case 0x1a:
		return errors.New("SIGNAL SIGSTOP RECIVED")
	case 0x1c:
		return errors.New("SIGNAL SIGQUIT RECIVED")
	default:
		return nil
	}
}
